### Signal

# Gdk Device::changed

#### Declaration

    void
    changed (
      GdkDevice* self,
      gpointer user_data
    )

#### Description [src]

Emitted either when the number of either axes or keys changes.

On X11 this will normally happen when the physical device routing events through the logical device changes (for example, user switches from the USB mouse to a tablet); in that case the logical device will change to reflect the axes and keys on the new physical device.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.